Category : yarn

My docker file FROM mcr.microsoft.com/playwright:focal as influencer-scraper USER root # Install tools as telnet RUN apt-get update && apt-get install telnet -y # RUN apk add chromium RUN groupadd –gid 888 node && useradd –uid 888 –gid node –shell /bin/bash –create-home node USER node WORKDIR /home/node # Copy package.json and Yarn install (separate for cache) ..

Read more

I have a Next.js application that I want to run using Docker compose My docker.compose.yml: version: "3.6" services: … next: container_name: next build: context: ./frontend/next dockerfile: Dockerfile.development restart: always ports: – 3000:3000 volumes: – ./frontend/next:/frontend-app – ./frontend/next/package.json:/frontend-app/package.json – ./frontend/next/yarn.lock:/frontend-app/yarn.lock and my ./frontend/next/Dockerfile.development is: FROM mhart/alpine-node RUN mkdir /frontend-app WORKDIR /frontend-app COPY package.json yarn.lock ./ RUN ..

Read more

I’m running a Node.js monorepo project using yarn workspaces. File structure looks like this: workspace_root node_modules package.json apps appA node_modules package.json appB node_modules package.json libs libA dist node_modules package.json All apps are independents, but they all require libA I’m running all these apps with docker-compose. My question here is how to handle properly all the ..

Read more

I am having a problem when building an image with Docker (Windows OS) in which it tells me this => ERROR [5/6] RUN apk add yarn 1.3s —— > [5/6] RUN apk add yarn: #10 0.398 fetch http://dl-cdn.alpinelinux.org/alpine/v3.11/main/x86_64/APKINDEX.tar.gz #10 0.998 ERROR: http://dl-cdn.alpinelinux.org/alpine/v3.11/main: IO ERROR #10 0.998 WARNING: Ignoring APKINDEX.70f61090.tar.gz: No such file or directory #10 ..

Read more

Exception message: Launch container failed Shell error output: image: nvidia/cuda:10.2-devel-ubuntu18.04 is not trusted. Disable mount volume for untrusted image image: nvidia/cuda:10.2-devel-ubuntu18.04 is not trusted. Disable cap-add for untrusted image Docker capability disabled for untrusted image image: nvidia/cuda:10.2-devel-ubuntu18.04 is not trusted. Disable runtime for untrusted image Could not find requested runtime in allowed runtimes Error constructing ..

Read more

We are currently pulling private repos using ssh and npm. # syntax=docker/dockerfile:experimental FROM node:14.15.4-alpine EXPOSE 4800 # Below is needed so that postinstall scripts can run inside docker RUN npm set unsafe-perm true COPY . /workspace WORKDIR /workspace # Install ssh client and git RUN apk add –no-cache openssh-client git # Download public key for ..

Read more

This is my Dockerfile for local development: FROM node:12-alpine WORKDIR /usr/app ENV __DEV__ 1 COPY package.json ./ COPY yarn.lock ./ RUN yarn –frozen-lockfile COPY tsconfig.json ./ COPY nodemon.json ./ RUN apk add –no-cache tini ENTRYPOINT ["/sbin/tini", "–"] CMD [ "yarn", "dev" ] This is how I build it: docker build –rm -f Dockerfile.dev –tag my-app ..

Read more